<?php

/*
	True Font Family v 1.4
	----------------------------------------------------------
	http://www.truefontfamily.com/

	Copyright (c) 2008 Remon Lammers
	--------------------------------
	This script is licensed under a Creative Commons License (http://creativecommons.org/licenses/by-nc-sa/3.0/).
	It allows you to use and modify the script for noncommercial purposes. For commercial use, licenses are available.
	For more information and instant ordering visit http://www.truefontfamily.com/.
*/

/*
	Tips:
	--------------
	* Higher quality images:
	- Enabling $imagealphablending;
	- Try higher values for $upscale;

	* Better performance
	- Enable $create_cache_files
	- Disable $encode_cache_files
	- Disable $enable_checks
*/

	error_reporting( E_ALL );

	// Directories
	$root_dir = dirname( __FILE__ ).'/';
	$cache_dir = $root_dir.'cache/';
	$font_dir = $root_dir.'fonts/';

	// Perform checks for GD and image functions
	$enable_checks = false;
	// Create cache files to reduce processor usage on rendering, see also cache option in javascript for best performance
	$create_cache_files = false;
	// Create directories to reduce number of files in cache dir and length of file names, use same setting in javascript
	$create_cache_dirs = true;
	// Use md5 to encode filenames, do not use when cache enabled in javascript!
	$encode_cache_files = false;

	// Check referer for string, i.e. same server (and directory)
	$referer = '';
//	$referer = $_SERVER['SERVER_NAME'].'/';
	// Only used when supported by browser, javascript passes parameter
	// This function requires GD 2.0.1
	$truecolortransparency = true;
	// Use alphablending, may cutoff overlapping letters when set to false, no transparency for some fonts when set to true
	// This function requires GD 2.0.1
	$imagealphablending = false;
	// Upscale factor to work on higher resolutions for higher quality images, there are fonts which look better without scaling
	$upscale = 4;
	// Disable upscaling even for `bold`, `italic` and `stretch`
	$neverupscale = false;
	// Skip upscaling for small or large fonts, but only when not italic
	$upscale_from = 0;
	$upscale_till = 128;

	// Make interlaced images that should display faster, but are slightly bigger
	$interlace = 0;

	// PHP 5.1.2+ only, Compression level: from 0 (no compression) to 9.
	$quality = null;
	// PHP 5.1.3+ only, Allows reducing the PNG file size.
	// It is a bitmask field which may be set to any combination of the PNG_FILTER_XXX constants.
	// PNG_NO_FILTER or PNG_ALL_FILTERS may also be used to respectively disable or activate all filters.
	$filters = null;
	// Factor used to match normal browser font size for `font-family: "Verdana.ttf", "Verdana";
	$size_factor = 0.73;

	// Pro version only: set output type
	$imagetype = 'png';
?>