<?php
/*
	True Font Family v 1.4
	----------------------------------------------------------
	http://www.truefontfamily.com/

	Copyright (c) 2008 Remon Lammers
	--------------------------------
	This script is licensed under a Creative Commons License (http://creativecommons.org/licenses/by-nc-sa/3.0/).
	It allows you to use and modify the script for noncommercial purposes. For commercial use, licenses are available.
	For more information and instant ordering visit http://www.truefontfamily.com/.
*/
	// All errors
	error_reporting( E_ALL );
?>
<html>
	<head>
		<style type="text/css">
#info {
	margin: 10px;
	padding: 10px;
	border-left: 10px solid #aaa;
}
#info h1 {
	margin: 0px;
}
#info pre {
	line-height: 0.5em;
}
#info span.yes {
	color: green;
}
#info span.no {
	color: red;
}
		</style>
	</head>
<body>
	<div id="info">
		<h1>GD Information</h1>
<?php
	// Check libraries, GD, PNG and FreeType
 	if ( !function_exists( 'gd_info' ) )
	{
		echo '<pre>Function gd_info() missing. Please install <a href="http://www.php.net/gd">GD library</a>.</pre>';
	}
	else
	{
		// Show info for debugging when no font
		foreach ( gd_info() as $key => $value )
		{
			if ( $value == 1 ) $value = '<span class="yes">yes</span>';
			if ( !$value ) $value = '<span class="no">no</span>';
	
			echo '<pre>'.print_r( $key.': '.$value, true ).'</pre>';
		}
	
		// Check functions
		$functions = array( 'imagettfbbox', 'imagettftext', 'imagealphablending', 'imagesavealpha', 'imagelayereffect' );
		foreach ( $functions as $function )
		 	echo '<pre>'.print_r( $function.': '.( function_exists( $function ) ? '<span class="yes">yes</span>' : '<span class="no">no</span>' ), true ).'</pre>';
	}
?>
		</div><!-- info -->
	</body>
</html>